# -*- encoding: utf-8 -*-
# stub: arkaan 3.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "arkaan".freeze
  s.version = "3.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Vincent Courtois".freeze]
  s.date = "2020-11-18"
  s.description = "This gem holds the model layer for my table-top RPG games application.".freeze
  s.email = "courtois.vincent@outlook.com".freeze
  s.homepage = "https://rubygems.org/gems/arkaan".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "The model layer for my table-RPG application".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<database_cleaner>.freeze, ["= 1.6.1"])
    s.add_development_dependency(%q<factory_bot>.freeze, ["= 6.1.0"])
    s.add_development_dependency(%q<factory_girl>.freeze, ["= 4.8.1"])
    s.add_development_dependency(%q<faker>.freeze, ["= 2.13.0"])
    s.add_development_dependency(%q<gems>.freeze, ["= 1.2.0"])
    s.add_development_dependency(%q<gitlab>.freeze, ["= 4.16.1"])
    s.add_development_dependency(%q<pry>.freeze, ["= 0.13.1"])
    s.add_development_dependency(%q<rack>.freeze, ["= 2.2.3"])
    s.add_development_dependency(%q<rack-test>.freeze, ["= 1.1.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["= 3.9.0"])
    s.add_development_dependency(%q<rspec-json_expectations>.freeze, ["= 2.1.0"])
    s.add_development_dependency(%q<rspec_junit_formatter>.freeze, ["= 0.4.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.90.0"])
    s.add_development_dependency(%q<semantic>.freeze, ["= 1.6.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["= 0.19.0"])
    s.add_development_dependency(%q<yard>.freeze, ["= 0.9.25"])
    s.add_runtime_dependency(%q<mongoid>.freeze, ["= 7.1.0"])
    s.add_runtime_dependency(%q<activemodel>.freeze, ["= 6.0.3.2"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["= 6.0.3.2"])
    s.add_runtime_dependency(%q<bcrypt>.freeze, ["= 3.1.13"])
    s.add_runtime_dependency(%q<dotenv>.freeze, ["= 2.7.6"])
  else
    s.add_dependency(%q<database_cleaner>.freeze, ["= 1.6.1"])
    s.add_dependency(%q<factory_bot>.freeze, ["= 6.1.0"])
    s.add_dependency(%q<factory_girl>.freeze, ["= 4.8.1"])
    s.add_dependency(%q<faker>.freeze, ["= 2.13.0"])
    s.add_dependency(%q<gems>.freeze, ["= 1.2.0"])
    s.add_dependency(%q<gitlab>.freeze, ["= 4.16.1"])
    s.add_dependency(%q<pry>.freeze, ["= 0.13.1"])
    s.add_dependency(%q<rack>.freeze, ["= 2.2.3"])
    s.add_dependency(%q<rack-test>.freeze, ["= 1.1.0"])
    s.add_dependency(%q<rspec>.freeze, ["= 3.9.0"])
    s.add_dependency(%q<rspec-json_expectations>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, ["= 0.4.1"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.90.0"])
    s.add_dependency(%q<semantic>.freeze, ["= 1.6.1"])
    s.add_dependency(%q<simplecov>.freeze, ["= 0.19.0"])
    s.add_dependency(%q<yard>.freeze, ["= 0.9.25"])
    s.add_dependency(%q<mongoid>.freeze, ["= 7.1.0"])
    s.add_dependency(%q<activemodel>.freeze, ["= 6.0.3.2"])
    s.add_dependency(%q<activesupport>.freeze, ["= 6.0.3.2"])
    s.add_dependency(%q<bcrypt>.freeze, ["= 3.1.13"])
    s.add_dependency(%q<dotenv>.freeze, ["= 2.7.6"])
  end
end
